// Device.java
import java.io.*;

class FileIn implements In {
  private Reader reader;

  public FileIn(String filename) throws FileNotFoundException {
    reader = new FileReader(filename);
  }
  
  public int getc() {
    try {
      return reader.read();
    } catch (IOException e) {
      throw new RuntimeException(e);
    }
  }
}

class StdOut implements Out {
  public void putc(char c) {
    System.out.print(c);
  }

  public void end() {
    System.out.flush();
  }
}
