// InOutDemo.java
import java.io.*;

class InOutDemo {
  public static void main(String[] args) {
    if (args.length < 1) {
      System.err.println("No args.");
      System.exit(1);
    }
    String filename = args[0];

    FileIn in = null;
    try {
      in = new FileIn(filename);
    } catch (FileNotFoundException e) {
      System.err.println("File not found.");
      System.exit(1);
    }
    StdOut out = new StdOut();

    int c;
    while ((c = in.getc()) != -1) {
      out.putc((char)c);
    }
    out.end();
    System.exit(0);
  }
}
